org.apache.axiom.util.stax.xop

## Class XOPDecodingStreamWriter

- java.lang.Object
- - org.apache.axiom.util.stax.wrapper.XMLStreamWriterWrapper
  - - org.apache.axiom.util.stax.xop.XOPDecodingStreamWriter

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamWriter

      public class XOPDecodingStreamWriter
      extends XMLStreamWriterWrapper

  `XMLStreamWriter` wrapper that decodes XOP. It assumes that the underlying stream implements the `DataHandlerWriter` extension and translates calls that write `xop:Include` elements into calls to the appropriate methods defined by `DataHandlerWriter`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XOPDecodingStreamWriter(javax.xml.stream.XMLStreamWriter parent, MimePartProvider mimePartProvider)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeAttribute(String localName, String value)`
    `void` | `writeAttribute(String namespaceURI, String localName, String value)`
    `void` | `writeAttribute(String prefix, String namespaceURI, String localName, String value)`
    `void` | `writeEndElement()`
    `void` | `writeStartElement(String namespaceURI, String localName)`
    `void` | `writeStartElement(String prefix, String localName, String namespaceURI)`

    - ### Methods inherited from class org.apache.axiom.util.stax.wrapper.XMLStreamWriterWrapper

      `close, flush, getNamespaceContext, getPrefix, getProperty, setDefaultNamespace, setNamespaceContext, setPrefix, writeCData, writeCharacters, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument, writeStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XOPDecodingStreamWriter

          public XOPDecodingStreamWriter(javax.xml.stream.XMLStreamWriter parent,
                                         MimePartProvider mimePartProvider)

      Constructor.
      Parameters:
        `parent` - the `XMLStreamWriter` to write the decoded stream to; the instance must implement the `DataHandlerWriter` extension
        `mimePartProvider` - an implementation of the `MimePartProvider` interface that will be used to load the `DataHandler` objects for MIME parts referenced by `xop:Include` element information items written to this wrapper

  - ### Method Detail

    - #### writeStartElement

          public void writeStartElement(String prefix,
                                        String localName,
                                        String namespaceURI)
                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeStartElement` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeStartElement

          public void writeStartElement(String namespaceURI,
                                        String localName)
                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeStartElement` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeAttribute

          public void writeAttribute(String prefix,
                                     String namespaceURI,
                                     String localName,
                                     String value)
                              throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeAttribute` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeAttribute

          public void writeAttribute(String namespaceURI,
                                     String localName,
                                     String value)
                              throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeAttribute` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeAttribute

          public void writeAttribute(String localName,
                                     String value)
                              throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeAttribute` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeEndElement

          public void writeEndElement()
                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeEndElement` in interface `javax.xml.stream.XMLStreamWriter`
      Overrides:
        `writeEndElement` in class `XMLStreamWriterWrapper`
      Throws:
        `javax.xml.stream.XMLStreamException`

Copyright © The Apache Software Foundation. All Rights Reserved.